// This file is released under the 3-clause BSD license. See COPYING-BSD.

function buildmacros()
    macros_path = get_absolute_file_path("buildmacros.sce");

    blocks_substance = ["Substance", "Substance_stream", "Substance_streams", "Balance"];
	blocks_energy = ["HeatTransfer", "Energy_power_streams_work", "Energy_power_streams_work_short", "Energy_power_work", "Energy_power_streams", "Energy_power_streams_short", "Energy_power_streams_short_short", "Energy_power", "Beta"];
	blocks_process = ["Process", "HeatProcess"];
	blocks_affinity = ["Affinity", "HeatAffinity"];
	blocks_potential = ["Impact", "ElementalImpact", "Temperature"];
	blocks = [blocks_substance, blocks_energy, blocks_process, blocks_affinity, blocks_potential];

    tbx_build_macros(TOOLBOX_NAME, macros_path);
    tbx_build_blocks(toolbox_dir, blocks);
endfunction

buildmacros();
clear buildmacros; // remove buildmacros on stack

