//
// This file is released under the 3-clause BSD license. See COPYING-BSD.

function subdemolist = demo_gateway()

    demopath = get_absolute_file_path("nonequilibrim_process_chemistry_reactions.dem.gateway.sce");
    subdemolist = ["One temperature",...
                   "nonequilibrim_process_chemistry_reactions_one_temperature.dem.gateway.sce";
                   "Two temperatures",...
                   "nonequilibrim_process_chemistry_reactions_two_temperatures.dem.gateway.sce"]; // add demos here
    subdemolist(:,2) = demopath + subdemolist(:,2);

endfunction

subdemolist = demo_gateway();
clear demo_gateway; // remove demo_gateway on stack
